package com.ruoyi.demo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.demo.entity.BrandProvince;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BrandProvinceDao extends BaseMapper<BrandProvince> {
    List<BrandProvince> searchByBrandId(String brandId);
    List<BrandProvince> searchByBrandIdOrderByProvince(String brandId,String month);
    void insertAll(@Param("provinces") List<BrandProvince> provinces);
    List<String> selectIns();
    Integer selectCountByBrandId(String brandId);
}
